Bug 518220 - drm crashed
Summary: drm crashed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 518534 (view as bug list)
Depends On:
Blocks: 513554
TreeView+ depends on / blocked
 
Reported: 2009-08-19 14:47 UTC by Stefan Ringel
Modified: 2010-06-24 04:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-24 04:23:20 UTC


Attachments (Terms of Use)
/var/log/messages (5.25 MB, text/plain)
2009-08-19 14:47 UTC, Stefan Ringel
no flags Details

Description Stefan Ringel 2009-08-19 14:47:19 UTC
Created attachment 357945 [details]
/var/log/messages

Description of problem:

Aug 18 21:43:17 localhost kernel: BUG: unable to handle kernel NULL pointer dereference at (null)
Aug 18 21:43:17 localhost kernel: IP: [<ffffffffa00160a8>] drm_release+0x2be/0x5c2 [drm]
Aug 18 21:43:17 localhost kernel: PGD 3c4ae067 PUD 3c51b067 PMD 0 
Aug 18 21:43:17 localhost kernel: Oops: 0000 [#1] SMP 
Aug 18 21:43:17 localhost kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:02.0/0000:02:00.0/boot_vga
Aug 18 21:43:17 localhost kernel: CPU 0 
Aug 18 21:43:17 localhost kernel: Modules linked in: nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath uinput snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_event snd_seq_midi_emul snd_seq i2c_viapro snd_emu10k1 snd_via82xx_modem snd_via82xx snd_mpu401_uart serio_raw amd64_edac_mod edac_core snd_ac97_codec k8temp ac97_bus snd_rawmidi snd_pcm snd_seq_device snd_timer snd_page_alloc snd_util_mem snd_hwdep firewire_ohci snd firewire_core emu10k1_gp soundcore crc_itu_t gameport asus_atk0110 shpchp hwmon pata_acpi ata_generic pata_via sata_via sky2 floppy nouveau ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 18 21:43:17 localhost kernel: Pid: 1349, comm: Xorg Not tainted 2.6.31-0.162.rc6.git2.fc12.x86_64 #1 System name
Aug 18 21:43:17 localhost kernel: RIP: 0010:[<ffffffffa00160a8>]  [<ffffffffa00160a8>] drm_release+0x2be/0x5c2 [drm]
Aug 18 21:43:17 localhost kernel: RSP: 0018:ffff88003c515e08  EFLAGS: 00010287
Aug 18 21:43:17 localhost kernel: RAX: 0000000000000000 RBX: ffff88003741b0d8 RCX: 0000000000000000
Aug 18 21:43:17 localhost kernel: RDX: 0000000000000000 RSI: ffffffffffffffc0 RDI: 0000000000000545
Aug 18 21:43:17 localhost kernel: RBP: ffff88003c515e78 R08: 000000003cbe1311 R09: 000000003cbe1311
Aug 18 21:43:17 localhost kernel: R10: ffffffff81e0fdb0 R11: 0000000000000000 R12: ffff88003c485488
Aug 18 21:43:17 localhost kernel: R13: ffff88003741b138 R14: ffff88003c4d3600 R15: ffff88003741b670
Aug 18 21:43:17 localhost kernel: FS:  00007f7e33e257c0(0000) GS:ffff880002678000(0000) knlGS:0000000000000000
Aug 18 21:43:17 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 18 21:43:17 localhost kernel: CR2: 0000000000000000 CR3: 000000003c4ab000 CR4: 00000000000006f0
Aug 18 21:43:17 localhost kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 18 21:43:17 localhost kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 18 21:43:17 localhost kernel: Process Xorg (pid: 1349, threadinfo ffff88003c514000, task ffff88003c494940)
Aug 18 21:43:17 localhost kernel: Stack:
Aug 18 21:43:17 localhost kernel: ffff880000000001 0000000000000000 0000000000000000 0000000300000000
Aug 18 21:43:17 localhost kernel: <0> ffff88003c4d3600 00000000000000d3 ffff88003c515e88 000000003cbe1311
Aug 18 21:43:17 localhost kernel: <0> ffff88003c494940 ffff88003c4d3600 0000000000000008 ffff880037224758
Aug 18 21:43:17 localhost kernel: Call Trace:
Aug 18 21:43:17 localhost kernel: [<ffffffff81142f79>] __fput+0x137/0x200
Aug 18 21:43:17 localhost kernel: [<ffffffff8114306f>] fput+0x2d/0x43
Aug 18 21:43:17 localhost kernel: [<ffffffff8113f254>] filp_close+0x77/0x97
Aug 18 21:43:17 localhost kernel: [<ffffffff8113f334>] sys_close+0xc0/0x110
Aug 18 21:43:17 localhost kernel: [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Aug 18 21:43:17 localhost kernel: Code: 89 ee 48 89 df ff 90 c0 00 00 00 4c 8d 6b 60 31 f6 4c 8d bb 98 05 00 00 4c 89 ef e8 67 d0 4e e1 48 8b b3 98 05 00 00 48 83 ee 40 <4c> 8b 76 40 49 83 ee 40 eb 1b 4c 39 66 18 75 0a 31 d2 48 89 df 
Aug 18 21:43:17 localhost kernel: RIP  [<ffffffffa00160a8>] drm_release+0x2be/0x5c2 [drm]
Aug 18 21:43:17 localhost kernel: RSP <ffff88003c515e08>
Aug 18 21:43:17 localhost kernel: CR2: 0000000000000000
Aug 18 21:43:17 localhost kernel: ---[ end trace 5380a61b8f4f7783 ]---


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Stefan Ringel 2009-08-19 14:52:06 UTC
X started -> black screen.

Comment 2 Adam Jackson 2009-08-19 17:59:57 UTC
kernel bug, not libdrm bug.

Comment 3 Stefan Ringel 2009-08-21 10:23:47 UTC
duplicate Bug #518534 from 20.08.09

Comment 4 Nathaniel McCallum 2009-08-21 14:07:15 UTC
*** Bug 518534 has been marked as a duplicate of this bug. ***

Comment 5 Jérôme Glisse 2009-10-14 11:15:51 UTC
I think this bug is fixed in newer kernel. Can you test with fedora 12 livecd and report if it works with it.

Comment 6 Bug Zapper 2009-11-16 11:32:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Jeff Raber 2010-05-05 07:15:21 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Jeff Raber 2010-06-24 04:23:20 UTC
Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.